Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.common.math
Class DescriptiveMeasurement

    java.lang.Object
      lbg.common.math.Measurement
          lbg.common.math.DescriptiveMeasurement

    public class DescriptiveMeasurement

extends Measurement

Author:
  Cyril Briquet

Constructor Summary
`DescriptiveMeasurement(java.lang.String label)` Creates a new DescriptiveMeasurement.
`DescriptiveMeasurement(java.lang.String label, int ws)` Creates a new DescriptiveMeasurement.

Method Summary
`void` | `addObservation(double x_i)`
`void` | `addObservation(double x_i, java.lang.String tag)`
`double` | `getMax()`
`java.lang.String` | `getMaxTag()`
`double` | `getMean()`
`double` | `getMeanOfFirstKTerms(long k)`
`double` | `getMin()`
`java.lang.String` | `getMinTag()`
`long` | `getObservations()`
`double` | `getSquaredSum()`
`double` | `getStandardDeviation()`
`double` | `getSum()`
`java.lang.String` | `toString()`

Methods inherited from class lbg.common.math.Measurement
`createMetaMeasurement, getLabel, getN, main, test_main`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescriptiveMeasurement

    public DescriptiveMeasurement(java.lang.String label)
                           throws GridException

  Creates a new DescriptiveMeasurement.

  Parameters:
    `label` - measurement label
  Throws:
    `GridException` - if a parameter is illegal

### DescriptiveMeasurement

    public DescriptiveMeasurement(java.lang.String label,
                                  int ws)
                           throws GridException

  Creates a new DescriptiveMeasurement.

  Parameters:
    `label` - measurement label
    `ws` - window size
  Throws:
    `GridException` - if a parameter is illegal

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Measurement`

### addObservation

    public void addObservation(double x_i)
                        throws GridException

  Overrides:
    `addObservation` in class `Measurement`
  Throws:
    `GridException`

### addObservation

    public void addObservation(double x_i,
                               java.lang.String tag)
                        throws GridException

  Specified by:
    `addObservation` in class `Measurement`
  Throws:
    `GridException`

### getObservations

    public long getObservations()

  Specified by:
    `getObservations` in class `Measurement`

### getSum

    public double getSum()

  Specified by:
    `getSum` in class `Measurement`

### getSquaredSum

    public double getSquaredSum()

  Specified by:
    `getSquaredSum` in class `Measurement`

### getMin

    public double getMin()

  Specified by:
    `getMin` in class `Measurement`

### getMax

    public double getMax()

  Specified by:
    `getMax` in class `Measurement`

### getMinTag

    public java.lang.String getMinTag()

  Specified by:
    `getMinTag` in class `Measurement`

### getMaxTag

    public java.lang.String getMaxTag()

  Specified by:
    `getMaxTag` in class `Measurement`

### getMean

    public double getMean()

  Specified by:
    `getMean` in class `Measurement`

### getMeanOfFirstKTerms

    public double getMeanOfFirstKTerms(long k)
                                throws GridException

  Throws:
    `GridException`

### getStandardDeviation

    public double getStandardDeviation()

  Specified by:
    `getStandardDeviation` in class `Measurement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.